0 Replies Latest reply on Mar 2, 2009 2:54 PM by Mike Sacauskis

    Exception when running JBOSS Tools CR3

    Mike Sacauskis Newbie

      I'm back to where I started about a week ago. I'm getting the following stack trace:

      Exception in thread "main" java.lang.NoClassDefFoundError: gnu/getopt/LongOpt
      at org.jboss.wsf.spi.tools.cmd.WSConsume.parseArguments(WSConsume.java:85)
      at org.jboss.wsf.spi.tools.cmd.WSConsume.main(WSConsume.java:78)


      I started from these instructions:

      Now that the Ganymede SR2 updates have been published, you should be able to install from either of these sites w/o needing to add anything else to Eclipse's list of update sites:

      http://download.jboss.org/jbosstools/updates/JBossTools-3.0.0.CR2/
      http://download.jboss.org/jbosstools/updates/development/

      I just tried it and it works fine. I started from the Eclipse Ganymede SR2 JEE Bundle (which includes Eclipse 3.4.2 and Web Tools 3.0.4), but you can use something smaller if you prefer (eg., as small as the Eclipse 3.4.2 Platform Runtime Binary).

      http://www.eclipse.org/downloads/packages/release/ganymede/sr2

      Eclipse's Install Manager should be able to find all the requirements needed for JBoss Tools 3 from the Ganymede SR2 update site.


      I started with Eclipse IDE for Java Developers (85 MB) then used the update manger to get the jboss tools from http://download.jboss.org/jbosstools/updates/development/